{{ header }}{{ column_left }}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="view\stylesheet\productEditor\image_upload.css" /> 
{% endblock %}

<div id="content">
<h3 align="center">Terméktervező képfeltöltés</h3>
<div id="main_products">
<form method="POST" id="main_product_upload_form" enctype="multipart/form-data" >
  <div class="form-group">
  <label for="product">Termék</label>
    <select class="form-control" id="product" name="product">
    {% for product in main_products %}
    <option>asd</option>
      <option value="{{ product.product_id }}">{{ product.name }}</option>
      {% endfor %}
    </select>
     <div class="help-text"><i>(Válassza ki azt a terméket melyhez tervezhető képet szeretne társítani.)</i></div>
     <label for="image_tag_name">Termék név</label>
     <div class="help-text"><i>(A kiválasztott termék neve. Automatikusan kitöltődik ha kiválasztunk valamit.)</i></div>
    <input type="text" class="form-control" id="image_real_name" name="image_real_name" placeholder="Például: Babafészek,Babatakaró">
     <label for="image_tag_name">Termék tag név</label>
     <div class="help-text"><i>(Ez a név sehol nem jelenik meg, a rendszer használja azonosításra ezért egyedinek kell lennie. Ékezetek nélkül, több szótagos név esetén aláhúzással elválasztva kell beírni.)</i></div>
    <input type="text" class="form-control" id="image_tag_name" name="image_tag_name" placeholder="Például: babafeszek, baba_takaro">
     <label for="image_parts">Termék részei</label>
     <div class="help-text"><i>(Azt a számot kell bírni ahány képből épül fel a szerkesztőben a termék azaz ahány részét lehet megváltoztatni.)</i></div>
    <input type="number" class="form-control" id="image_parts" name="image_parts" placeholder="Például: 3">
        <img width="80px" height="70px" id="image_preview"> 
    <div class="custom-file">
    <label class="custom-file-label" for="main_image_upload">Termék kép feltöltés</label>
    <input type="file" class="custom-file-input" id="main_image_upload" name="main_image_upload">
    <button id="main_product_save" type="submit" value="send" class="btn btn-primary">Mentés</button>
  </div>
  </div>
  </form>

<h3 align="center">Terméktervezőben található termékek</h3>
<table class="table">
<thead>
<tr>
<th scope="col">Azonosító</th>
<th scope="col">Termék név</th>
<th scope="col">Tag név</th>
<th scope="col">Részek</th>
<th scope="col">Kép</th>
<th scope="col">Aktív</th>
<th scope="col">Szerkesztés</th>
</tr>
</thead>
{% for product in main_products %}
<tr>
<th scope="row" style="vertical-align: middle;">{{ product.id }}</th>
<td>{{ product.real_name }}</td>
<td>{{ product.tag_name }}</td>
<td>{{ product.parts }}</td>
<td><img class="main_images" src="{{ product.path }}" alt="{{ product.real_name }}"></td>
{% if product.Active == 1 %}
<td>Aktív</td>
{% else %}
<td>Inaktív</td>
{% endif %}
<td><button id="{{ product.id }}" class="edit_product_button" data-id="{{ product.id }}" data-toggle="modal" data-target="#image_editor_modal"><i class="fa fa-edit fa-lg" aria-hidden="true"></i></button></td>
</tr>
{% endfor %}
</table>
</div>
</div>

<div id="image_editor_modal" class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
    <label for="edit_image_id">Azonosító</label>
    <input type="text" class="form-control" id="edit_image_id" name="edit_image_id" disabled>
     <label for="edit_image_real_name">Termék név</label>
    <input type="text" class="form-control required" id="edit_image_real_name" name="edit_image_real_name">
     <label for="edit_image_tag_name">Termék tag név</label>
    <input type="text" class="form-control required" id="edit_image_tag_name" name="edit_image_tag_name">
     <label for="edit_image_parts">Termék részei</label>
    <input type="number" class="form-control required" id="edit_image_parts" name="edit_image_parts">   
    <img width="80px" height="70px" id="edit_image_preview" src=""> 
    <div class="custom-file">
    <label class="custom-file-label" for="edit_main_image_upload">Új termék kép feltöltés</label>
    <input type="file" class="custom-file-input" id="edit_main_image_upload" name="edit_main_image_upload">
    <input class="form-check-input" type="checkbox" value="" id="edit_active_check">
    <label class="form-check-label" for="edit_active_check">
      Aktív 
  </label>
      </div>
      <div class="modal-footer">
        <button id="modalSave" type="button" class="btn btn-primary">Mentés</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Mégsem</button>
      </div>
    </div>
  </div>
</div>


<script src="view\javascript\ProductEditor\image_uploader.js" async></script>
{{ footer }}